/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumAnnotationsource;
import de.ship.db.tables.TCoreAnnotation;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreAnnotationRecord extends TableRecordImpl<TCoreAnnotationRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_annotation.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_annotation.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_annotation.source</code>.
     */
    public void setSource(EnumAnnotationsource value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_annotation.source</code>.
     */
    public EnumAnnotationsource getSource() {
        return (EnumAnnotationsource) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_annotation.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_annotation.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_annotation.key</code>.
     */
    public void setKey(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_annotation.key</code>.
     */
    public String getKey() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_annotation.value</code>.
     */
    public void setValue(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_annotation.value</code>.
     */
    public String getValue() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreAnnotationRecord
     */
    public TCoreAnnotationRecord() {
        super(TCoreAnnotation.T_CORE_ANNOTATION);
    }

    /**
     * Create a detached, initialised TCoreAnnotationRecord
     */
    public TCoreAnnotationRecord(LocalDateTime lastchange, EnumAnnotationsource source, Integer fkElement, String key, String value) {
        super(TCoreAnnotation.T_CORE_ANNOTATION);

        setLastchange(lastchange);
        setSource(source);
        setFkElement(fkElement);
        setKey(key);
        setValue(value);
        resetChangedOnNotNull();
    }
}
